@media (max-width: 1580px) {
    .about-us-sec2 .swiper-slide {
        height: calc(500 * var(--rpx-50) + 40px);
    }

    .about-us-sec2 .swiper-slide .txt {
        height: 36%;
    }

}

@media (max-width: 1580px) and (min-width: 829px) {
    .about-us-sec2 .swiper-slide:nth-child(3n+1) .txt::after {
        bottom: -73%;
    }

    .about-us-sec2 .swiper-slide:nth-child(3n+2) .txt::after {
        top: -69%;
    }

    .about-us-sec2 .swiper-slide:nth-child(3n) .txt::after {
        bottom: -32%;
    }
}

@media (max-width: 1380px) {
    .top-nav-link {
        font-size: 14px;
    }

    .talent-sec2 .card-wrap {
        --col: 3;
    }
}

@media (max-width: 828px) {
    .card-wrap {
        --col: 2;
    }

    .news-top-cont {
        flex-direction: column;
    }

    .news-top .pic,
    .news-top .txt {
        width: 100%;
    }

    .talent-sec1 .sec-area {
        flex-direction: column;
    }

    .talent-sec1 .sec-area>*:not(.line) {
        width: 100%;
    }

    .talent-sec3 .swiper-slide {
        width: 85%;
    }

    .social-sec1 .sec-top,
    .ser-sec1 .sec-top {
        gap: 30px;
        flex-direction: column;
        align-items: flex-start;
    }

    .social-sec1 .filter-cont {
        flex-wrap: wrap;
    }

    .social-sec1 .filter-curr {
        width: 100%;
    }

    .social-sec1 .inp-cont {
        width: 200px;
        margin: 0 auto;
        height: max(40px, 60 * var(--rpx));
    }

    .news-detail-sec1 .info-wrap .title {
        font-size: calc(38 * var(--fpx-50));
    }

    .news-detail-sec1 .article-content .article-wrap,
    .news-detail-sec1 .info-wrap {
        padding: 0;
    }

    .video-sec1 .item .txt {
        min-height: unset;
    }

    .solution-sec1 .txt-cont,
    .solution-sec1 .item:nth-child(even) .txt-cont,
    .energy-sec2 .sec-area,
    .energy-sec4 .sec-area,
    .product-catalog-sec1 .txt-cont,
    .product-detail-banner .page-cont,
    .product-detail-sec2 .sec-area,
    .news-sec1 .sec-top,
    .management-sec3 .swiper-slide,
    .contact-us-sec1 .sec-area,
    .purchase-sec1 .sec-area,
    .about-us-sec1 .sec-area,
    .about-us-sec5 .sec-area,
    .matching-sec1 .sec-area {
        flex-direction: column !important;
    }

    .energy-sec2 .sec-area .txt {
        margin-top: 20px;
    }

    .energy-sec2 .sec-area .txt .item,
    .solution-sec1 .txt-cont>*,
    .product-catalog-sec1 .txt-cont>*,
    .product-detail-banner .txt,
    .product-detail-sec2 .item,
    .product-detail-sec2 .item.active,
    .management-sec3 .swiper-slide .txt,
    .management-sec3 .swiper-slide .pic,
    .campus-sec2 .video-cont,
    .campus-sec3 .sec-area,
    .contact-us-sec1 .department,
    .purchase-sec1 .location-wrap,
    .purchase-sec1 .location-wrap .item,
    .about-us-sec1 .sec-area .pic,
    .about-us-sec5 .item,
    .about-us-sec5 .item.active,
    .matching-sec1 .sec-area .form-wrap {
        width: 100%;
    }

    .news-wrap .txt {
        min-height: unset;
    }

    .product-sec1 .card-wrap,
    .product-detail-sec1 .card-wrap,
    .product-detail-sec1 .card-wrap.col3,
    .charity-sec1 .card-wrap {
        --col: 1;
    }

    .social-sec1 .item-top .icon {
        right: 10px;
        --w: 25px;
    }

    .management-sec1 .pic-intro {
        width: 100%;
        padding-right: calc(50 * var(--rpx-50));
    }

    .charity-sec1 .item:nth-child(even) {
        margin-top: 0;
    }

    .about-us-sec1 .data-wrap .card-wrap,
    .about-us-sec6 .card-wrap {
        --col: 2;
    }


    .about-us-sec5 .sec-top {
        position: initial;
        top: unset;
        left: unset;
        padding-left: var(--wrapper-margin);
    }

    .about-us-sec5,
    .about-us-sec3 {
        height: auto;
    }

    .about-us-sec3 {
        aspect-ratio: 16 / 9;
    }

    .about-us-sec5 .sec-area {
        gap: 30px;
        padding: 30px 0;
    }

    .about-us-sec5 .item+.item {
        border-left: 0;
    }

    .about-us-sec5 .item .icon {
        transform: unset;
    }

    .talent-sec2 .card-wrap {
        --col: 2;
    }

    .page-full {
        height: auto;
    }

    .about-us-sec1 .sec-area {
        gap: calc(50 * var(--rpx-50));
    }

    .about-us-sec2 .swiper-slide {
        height: calc(700 * var(--rpx-50) + 40px);
    }

    .about-us-sec2 .swiper-handle.vertical-center {
        padding: 0 calc(20 * var(--rpx-50));
        top: 43%;
    }

    .about-us-sec2 .swiper-handle .icon {
        --w: 30px;
    }

    .about-us-sec4 .slide-cont {
        padding-top: 0;
        padding-bottom: 15px;
    }

    .label-wrap {
        overflow-x: auto;
        padding-bottom: 5px;
    }

    .pic-contain {
        padding: 0 calc(150 * var(--rpx-50));
    }

    .management-sec3 .swiper {
        height: 100%;
    }

    .management-sec3 .sec-area .txt {
        height: 50%;
        overflow-y: auto;
    }

    .charity-sec1 .sec-area {
        padding: 0 20px;
    }

    .charity-sec3 {
        height: auto;
    }

    .talent-sec3 .swiper-slide .intro {
        font-size: 10px;
    }

    .charity-sec2 .sec-intro {
        width: auto;
    }

    .campus-sec3 .qr {
        margin: 0 auto;
        width: calc(240 * var(--rpx-50));
    }

    .energy-sec2 .line {
        display: none;
    }
}

@media (max-width: 580px) {
    .card-wrap {
        --col: 1;
    }

    .join-us-banner .title {
        font-size: calc(50 * var(--fpx-50));
    }

    .social-sec1 .item-top {
        flex-direction: column;
        align-items: flex-start;
        padding-right: calc(85 * var(--rpx-50));
    }

    .social-sec1 .item-top .title,
    .social-sec1 .item-top .info {
        width: 100%;
    }

    .page-nav .page-cont {
        height: 40px;
        overflow-x: auto;
        overflow-y: hidden;
    }

    .page-nav a {
        white-space: nowrap;
    }

    .campus-sec1 .card-wrap {
        --col: 1;
    }

    .campus-sec3 .sec-area {
        flex-direction: column;
        gap: 30px;
    }

    .campus-sec1 .news-wrap {
        padding: 0;
    }

    .page-sec-top {
        width: 100%;
    }

    .about-us-sec2 .swiper-slide.expand {
        display: none;
    }

    /* .about-us-sec2 .swiper-slide:nth-child(3n+1) .txt::after,
    .about-us-sec2 .swiper-slide:nth-child(3n) .txt::after {
        bottom: -52%;
    }

    .about-us-sec2 .swiper-slide:nth-child(3n+2) .txt::after {
        top: -38%;
    }
 */

    .about-us-sec2 .swiper-slide:nth-child(2n+1) .txt::after {
        bottom: -52%;
    }

    .about-us-sec2 .swiper-slide:nth-child(2n) .txt::after {
        top: -38%;
    }

    .card-wrap.col2 {
        --col: 1;
    }

    .about-us-sec1 .sec-area .pic {
        width: 50%;
        margin: 0 auto;
    }

    .solution-sec1 .item:nth-child(even) .title {
        justify-content: flex-start;
    }

    .page-banner .title {
        font-size: calc(48 * var(--fpx-50));
    }

    .filter {
        width: 200px;
        margin: 0 auto;
    }

    .type-tab .tab img {
        width: 18px;
    }

    .page-sec-top .sec-intro-max {
        font-size: 16px;
        padding: 0 30px;
    }

    .social-sec1 .btn-more {
        padding: 10px 20px;
        height: auto;
        border-radius: 300px;
    }

    .filter-cont.col2-mo .filter {
        width: 48%;
    }

    .filter-cont.col2-mo .inp-cont {
        width: 100%;
    }

    .management-sec4 .item:nth-child(even) .txt-cont-expand {
        width: 100%;
    }

    .management-sec4 .item .txt-cont-expand .expand-img {
        top: 0;
        bottom: unset;
        transform: translate(-50%, 8%);
    }

    .talent-sec2 .sec-area {
        padding: 0;
    }

    .values-sec3 .inp-cont,
    .purchase-sec1 .inp-cont {
        width: calc(550 * var(--rpx-50));
    }

    .type-tab {
        overflow-x: auto;
        overflow-y: hidden;
        width: 100%;
        white-space: nowrap;
    }

    .talent-sec3 .swiper-slide::before {
        height: 100%;
    }

    .about-us-sec3 .sec-wrap-min {
        padding: calc(19 * var(--rpx-50)) 0;
    }

    .social-sec1 .learn-more .icon {
        --w: 30px;
    }
}